sh5util(1)

NAME

sh5util - Tool for merging HDF5 files from the acct_gather_profile plugin that gathers detailed data for jobs running under SLURM

SYNOPSIS

sh5util

DESCRIPTION

sh5util merges HDF5 files produced on each node for each step of a job into one HDF5 file for the job. The resulting file can be viewed and manipulated by common HDF5 tools such as HDF5View, h5dump, h5edit, or h5ls.

sh5util also has an extract mode that writes a limited set of data for specific nodes, steps, and data series in "comma separated value" form to a file which can be imported into other analysis tools such as spreadsheets.

OPTIONS

-E, --extract
    Instead of merging node-step files into a job file (default operation) extract data series from a job file.

    Extract mode options (all imply --extract)

    -i, --input=path
        merged file to extract from (default ./job_$jobid.h5)

    -N, --node=nodename
        Node name to extract (default is all)

    -l, --level=[Node:Totals|Node:TimeSeries]
        Level to which series is attached. (default Node:Totals)

    -s, --series=[Name|Tasks]
        Name=Specific Name, Tasks=all tasks, (default is everything)

-j, --jobs=<job(.step)>
    Format is <job(.step)>. Merge this job/step (or a comma-separated list of job steps). This option is required. Not specifying a step will result in all steps found to be processed.

-h, --help
    Print this description of use.

-o, --output=path
    Path to a file into which to write.
    Default for merge is ./job_$jobid.h5
    Default for extract is ./extract_$jobid.csv

-p, --profiledir=dir
    Directory location where node-step files exist default is set in acct_gather.conf.

-S, --savefiles
    Instead of removing node-step files after merging them into the job file, keep them around.

--user=user
    User who profiled job. (Handy for root user, defaults to user running this command.)

--usage
    Display brief usage message.

COPYING
Copyright (C) 2013 Bull.
Copyright (C) 2013 SchedMD LLC. SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO